import React from 'react';
import * as TabsPrimitive from '@radix-ui/react-tabs';
export interface ITabsProps extends TabsPrimitive.TabsProps {
    children: React.ReactNode;
    listProps?: TabsPrimitive.TabsListProps;
    triggers: TabsPrimitive.TabsTriggerProps[];
}
/**
 * Create a Tabs component. Uses RadixUI Tabs component.
 * https://www.radix-ui.com/docs/primitives/components/tabs
 */
declare const Tabs: {
    (props: ITabsProps): JSX.Element;
    Content: (props: ITabsContentProps) => JSX.Element;
};
export interface ITabsContentProps extends TabsPrimitive.TabsContentProps {
}
export default Tabs;
