import * as SwitchPrimitives from '@radix-ui/react-switch';
import React from 'react';
declare const Switch: React.ForwardRefExoticComponent<Omit<SwitchPrimitives.SwitchProps & React.RefAttributes<HTMLButtonElement>, "ref"> & React.RefAttributes<HTMLButtonElement>>;
export interface ControlledSwitchProps extends React.ComponentProps<typeof Switch> {
}
/**
 * An on/off switch to be used in forms
 */
declare const SwitchControlled: (props: ControlledSwitchProps) => JSX.Element;
export { Switch, SwitchControlled };
