import React from 'react';
import Editor from 'react-simple-code-editor';
import 'prismjs/components/prism-clike';
import 'prismjs/components/prism-javascript';
import 'prismjs/components/prism-jsx';
import 'prismjs/components/prism-tsx';
import 'prismjs/components/prism-markup';
import 'prismjs/components/prism-json';
import './prism-vsc-dark-plus.css';
interface CodeblockProps extends Omit<React.ComponentProps<typeof Editor>, 'padding' | 'style' | 'value' | 'highlight' | 'tabSize' | 'insertSpaces' | 'ignoreTabKey'> {
    defaultValue?: string;
    language?: string;
    hideLanguageSelect?: boolean;
    onLanguageChange?: (language: string) => void;
}
declare const Codeblock: ({ onLanguageChange, onValueChange, defaultValue, language, hideLanguageSelect, ...props }: CodeblockProps) => JSX.Element;
export default Codeblock;
